/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

// Functions for accessing BIOS calls

extern "C" {

// waits for any interrupt
void nostalgia_core_halt();

void nostalgia_core_stop();

// waits for interrupts specified in interSubs
void nostalgia_core_intrwait(unsigned discardExistingIntrs, unsigned intrSubs);

// waits for vblank interrupt
void nostalgia_core_vblankintrwait();

}
